using System;
using System.Collections.Generic;
using System.Data;
using System.Text;

namespace TestBed
{
    public class DataRepository
    {
        private int _rows = 1200;
        private int _hours = 48;
        public int MaxValue = 1000;

        public DataTable GetData()
        {
            DataTable dt = Table;

            FillData(dt);

            return dt;
        }


        private void FillData(DataTable dt)
        {
            for (int rowIndex = 0; rowIndex < _rows; rowIndex++)
            {
                DataRow dr = dt.NewRow();
                FillData(dr);
                dt.Rows.Add(dr);
            }
        }

        private void FillData(DataRow dr)
        {
            dr["Name"] = "Sample " + RandomInt;

            foreach (DataColumn dataColumn in dr.Table.Columns)
            {
                if (dataColumn.DataType == typeof(Int32))
                    dr[dataColumn] = RandomInt;
            }
        }

        private Random _r;

        public int RandomInt
        {
            get
            {
                if (_r == null)
                {
                    _r = new Random();
                }

                return _r.Next(MaxValue);
            }
        }
        


        private DataTable Table
        {
            get
            {
                return MakeTable();
            }
        }

        private DataTable MakeTable()
        {
            DataTable dt = new DataTable();

            DataColumn dc = new DataColumn("Name");
            dt.Columns.Add(dc);

            for (int i = 0; i < _hours; i++)
            {
                DataColumn column = new DataColumn(string.Format("col {0}", i + 1), typeof(Int32));
                dt.Columns.Add(column);
            }

            return dt;
        }
    }
}
